<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'addCardDetails' => '\\StructType\\AddCardDetails',
            'addCardResponse' => '\\StructType\\AddCardResponse',
            'updateCardDetails' => '\\StructType\\UpdateCardDetails',
            'updateCardResponse' => '\\StructType\\UpdateCardResponse',
            'addMultipleCardInput' => '\\StructType\\AddMultipleCardInput',
            'card' => '\\StructType\\Card',
            'fields' => '\\StructType\\Fields',
            'field' => '\\StructType\\Field',
            'addMultipleCardResponse' => '\\StructType\\AddMultipleCardResponse',
            'updateMultipleCardInput' => '\\StructType\\UpdateMultipleCardInput',
            'updateMultipleCardResponse' => '\\StructType\\UpdateMultipleCardResponse',
            'archiveCardDetails' => '\\StructType\\ArchiveCardDetails',
            'archiveCardResponse' => '\\StructType\\ArchiveCardResponse',
            'archiveMultipleCardInput' => '\\StructType\\ArchiveMultipleCardInput',
            'archiveMultipleCardResponse' => '\\StructType\\ArchiveMultipleCardResponse',
            'blockCardDetails' => '\\StructType\\BlockCardDetails',
            'blockCardResponse' => '\\StructType\\BlockCardResponse',
            'getCardRequest' => '\\StructType\\GetCardRequest',
            'getCardResponse' => '\\StructType\\GetCardResponse',
            'getCardDetailsRequest' => '\\StructType\\GetCardDetailsRequest',
            'getCardDetailsResponse' => '\\StructType\\GetCardDetailsResponse',
            'moveCardToBacklogDetails' => '\\StructType\\MoveCardToBacklogDetails',
            'moveCardToBacklogResponse' => '\\StructType\\MoveCardToBacklogResponse',
            'moveMultipleCardToBacklogInput' => '\\StructType\\MoveMultipleCardToBacklogInput',
            'moveMultipleCardToBacklogResponse' => '\\StructType\\MoveMultipleCardToBacklogResponse',
            'unblockCardDetails' => '\\StructType\\UnblockCardDetails',
            'unblockCardResponse' => '\\StructType\\UnblockCardResponse',
            'moveCardOnBoardDetails' => '\\StructType\\MoveCardOnBoardDetails',
            'moveCardOnBoardResponse' => '\\StructType\\MoveCardOnBoardResponse',
            'moveMultipleCardOnBoardInput' => '\\StructType\\MoveMultipleCardOnBoardInput',
            'moveMultipleCardOnBoardResponse' => '\\StructType\\MoveMultipleCardOnBoardResponse',
            'moveCardtoReadyDetails' => '\\StructType\\MoveCardtoReadyDetails',
            'moveCardtoReadyResponse' => '\\StructType\\MoveCardtoReadyResponse',
            'moveMultipleCardToReadyInput' => '\\StructType\\MoveMultipleCardToReadyInput',
            'moveMultipleCardToReadyResponse' => '\\StructType\\MoveMultipleCardToReadyResponse',
            'getCardsModifiedSincedateInput' => '\\StructType\\GetCardsModifiedSincedateInput',
            'getCardsModifiedSincedateResponse' => '\\StructType\\GetCardsModifiedSincedateResponse',
            'getCardsByFilterInput' => '\\StructType\\GetCardsByFilterInput',
            'getCardsByFilterResponse' => '\\StructType\\GetCardsByFilterResponse',
            'deleteCardInput' => '\\StructType\\DeleteCardInput',
            'deleteCardResponse' => '\\StructType\\DeleteCardResponse',
            'deleteMultipleCardInput' => '\\StructType\\DeleteMultipleCardInput',
            'deleteMultipleCardResponse' => '\\StructType\\DeleteMultipleCardResponse',
            'transferCardInput' => '\\StructType\\TransferCardInput',
            'transferCardResponse' => '\\StructType\\TransferCardResponse',
            'resultType' => '\\StructType\\ResultType',
            'fieldsType' => '\\StructType\\FieldsType',
            'fieldType' => '\\StructType\\FieldType',
            'filterType' => '\\StructType\\FilterType',
            'filterGroupType' => '\\StructType\\FilterGroupType',
            'FilterAttributeType' => '\\StructType\\FilterAttributeType',
            'getSmartLaneDetailsInput' => '\\StructType\\GetSmartLaneDetailsInput',
            'getSmartLaneDetailsResponse' => '\\StructType\\GetSmartLaneDetailsResponse',
            'convertCardInput' => '\\StructType\\ConvertCardInput',
            'convertCardResponse' => '\\StructType\\ConvertCardResponse',
            'getBoardCardsRequest' => '\\StructType\\GetBoardCardsRequest',
            'getBoardCardsResponse' => '\\StructType\\GetBoardCardsResponse',
        );
    }
}
